## org.eclipse.jst.jsf.context.symbol
Interface IBeanPropertySymbol

All Superinterfaces:
  IDescribedInDetail, IObjectSymbol, IPropertySymbol, ISymbol

    public interface IBeanPropertySymbol

extends IPropertySymbol, IDescribedInDetail

A property of a bean

Provisional API - subject to change

Field Summary
`static java.lang.String` `copyright`

Fields inherited from interface org.eclipse.jst.jsf.context.symbol.ISymbol
`EMPTY_SYMBOL_ARRAY`

Method Summary
`IJavaTypeDescriptor2` `getOwner()`
`boolean` `isReadable()` Returns the value of the 'Readable' attribute
`boolean` `isWritable()` Returns the value of the 'Writable' attribute
`void` `setOwner(IJavaTypeDescriptor2 value)` Sets the value of the '`Owner`' reference

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.IPropertySymbol
`isIntermediate, setIntermediate`

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.IObjectSymbol
`call, coerce, getTypeDescriptor, setReadable, setTypeDescriptor, setWritable, supportsCoercion`

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.ISymbol
`getName, setName`

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.IDescribedInDetail
`getDetailedDescription, setDetailedDescription`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getOwner

    IJavaTypeDescriptor2 getOwner()

  Returns:
    the bean that owns this property

### setOwner

    void setOwner(IJavaTypeDescriptor2 value)

  Sets the value of the '`Owner`' reference.

  Parameters:
    `value` - the new value of the 'Owner' reference.
  See Also:
    `getOwner()`

### isReadable

    boolean isReadable()

  Description copied from interface: `IObjectSymbol`
  Returns the value of the 'Readable' attribute.

  If the meaning of the 'Readable' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `isReadable` in interface `IObjectSymbol`
  Returns:
    true if the bean has getter for this property
  See Also:
    `IObjectSymbol.setReadable(boolean)`, `SymbolPackage.getIObjectSymbol_Readable()`

### isWritable

    boolean isWritable()

  Description copied from interface: `IObjectSymbol`
  Returns the value of the 'Writable' attribute.

  If the meaning of the 'Writable' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `isWritable` in interface `IObjectSymbol`
  Returns:
    true if the bean has a setter fot this property
  See Also:
    `IObjectSymbol.setWritable(boolean)`, `SymbolPackage.getIObjectSymbol_Writable()`